<template>
<div>
  <cookie-consent
    variant="primary2"
    decline-jump-to-href="https://www.europeandataportal.eu/cookies"
    :matomo-url="matomoURL"
  />
  <div id="app">
    <topnav/>
    <sub-nav></sub-nav>
    <router-view/>
    <bottom></bottom>
  </div>
</div>
</template>

<script>

import CookieConsent from './components/gdpr/CookieConsent'
import Topnav from './components/EDP3-header'
import Bottom from './components/EDP3-footer'

export default {
  name: 'App',
  components: {
    CookieConsent,
    topnav: Topnav,
    bottom: Bottom
  },
  data () {
    return {
      tracker: null,
      matomoURL: this.$env.MATOMO_URL,
      lastRoute: null
    }
  },
  mounted () {
    this.$router.push('CurrentState')
  },
  watch: {
    // eslint-disable-next-line no-unused-vars
    $route (to, from) {
      // Help Matomo track new page views.
      // Also gets triggered on initial page load.

      // router-link somehow makes this watcher trigger twice; Once immediately after the click
      // and once after the new view has loaded.
      // This is a workaround to prevent tracking the same route full path twice.
      if (to.fullPath !== this.lastRoute) {
        // Get url
        let protocol = window.location.protocol
        if (protocol.slice(-1) !== ':') {
          protocol += ':'
        }

        const router = this.$router
        const hashMode = router.mode === 'hash' ? '/#' : ''
        // eslint-disable-next-line no-undef
        let basePath = router.options.base
        basePath = basePath.slice(-1) === '/' ? basePath.slice(0, -1) : basePath

        const url = `${protocol}//${window.location.host}${basePath}${hashMode}${to.fullPath}`

        window._paq = window._paq || []
        window._paq.push(['setCustomUrl', url])
        window._paq.push(['trackPageView'])
        this.lastRoute = to.fullPath
      }
    }
  }
}
</script>

<style lang="scss">
@import '../node_modules/bootstrap/scss/bootstrap.scss';

* {
  box-sizing: border-box;
}

.site-wrapper {
  border: 1px solid #83b4c2;
  margin: auto;
  max-width: 984px;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

#app {
  background-color: #f3fafe;
}

.spacer {
  margin: 500px;
}

.btn-light {
    color: #212529;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
    margin-top: 5px;
}
</style>
